Bug 1411548 - beets-1.4.6 is available
Summary: beets-1.4.6 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: beets
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2017-01-10 00:13 UTC by Upstream Release Monitoring
Modified: 2018-01-10 02:03 UTC (History)
2 users (show)

Fixed In Version: beets-1.4.6-2.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-10 02:03:01 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.90 KB, patch)
2017-01-10 00:14 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.4.4 (#1411548) (1.07 KB, patch)
2017-06-11 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.4.5 (#1411548) (1.07 KB, patch)
2017-06-28 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.4.6 (#1411548) (1.07 KB, patch)
2017-12-22 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-10 00:13:59 UTC
Latest upstream release: 1.4.3
Current version/release in rawhide: 1.4.2-2.fc26
URL: http://beets.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5628/

Comment 1 Upstream Release Monitoring 2017-01-10 00:14:24 UTC
Patching or scratch build for beets-1.4.2 failed.

Comment 2 Upstream Release Monitoring 2017-01-10 00:14:25 UTC
Created attachment 1238931 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-10 00:14:26 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2017-01-10 13:30:08 UTC
mbaldessari's beets-1.4.3-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=832381

Comment 5 Dominika Krejčí 2017-01-10 16:04:32 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 6 Upstream Release Monitoring 2017-02-10 07:01:04 UTC
releng's beets-1.4.3-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=840865

Comment 7 Upstream Release Monitoring 2017-06-11 12:12:40 UTC
Latest upstream release: 1.4.4
Current version/release in rawhide: 1.4.3-2.fc26
URL: http://beets.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5628/

Comment 8 Upstream Release Monitoring 2017-06-11 12:12:50 UTC
Created attachment 1286827 [details]
[patch] Update to 1.4.4 (#1411548)

Comment 9 Upstream Release Monitoring 2017-06-11 12:14:59 UTC
hotness's scratch build of beets-1.4.4-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=19968082

Comment 10 Upstream Release Monitoring 2017-06-28 12:12:51 UTC
Latest upstream release: 1.4.5
Current version/release in rawhide: 1.4.3-2.fc26
URL: http://beets.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5628/

Comment 11 Upstream Release Monitoring 2017-06-28 12:12:58 UTC
Created attachment 1292632 [details]
[patch] Update to 1.4.5 (#1411548)

Comment 12 Upstream Release Monitoring 2017-06-28 12:15:38 UTC
hotness's scratch build of beets-1.4.5-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=20225771

Comment 13 Upstream Release Monitoring 2017-12-22 12:12:12 UTC
Latest upstream release: 1.4.6
Current version/release in rawhide: 1.4.3-3.fc27
URL: http://beets.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5628/

Comment 14 Upstream Release Monitoring 2017-12-22 12:12:21 UTC
Created attachment 1371250 [details]
[patch] Update to 1.4.6 (#1411548)

Comment 15 Upstream Release Monitoring 2017-12-22 12:14:24 UTC
hotness's scratch build of beets-1.4.6-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=23842328

Comment 16 Fedora Update System 2017-12-28 07:29:53 UTC
beets-1.4.6-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6129c8db2

Comment 17 Fedora Update System 2017-12-29 19:31:28 UTC
beets-1.4.6-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6129c8db2

Comment 18 Fedora Update System 2018-01-10 02:03:01 UTC
beets-1.4.6-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.